package sgc.portal.cw.cw1403.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1403.model.CW14030001U;
import sgc.portal.cw.cw1403.dto.CW14030001USearch;

import java.util.List;

@Mapper
public interface CW14030001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW14030001USearch search);

    int insert(CW14030001U cW14030001U);

    int update(CW14030001U cW14030001U);

    int delete(CW14030001U cW14030001U);

	String selectResiNo(CW14030001USearch search);

	String selectResiNo(CW14030001U cW14030001U);

	int selectSeq(CW14030001U cW14030001U);

    int draw(CW14030001USearch search);
}
